## NAME

r.resample - GRASS raster map layer data resampling capability.

## KEYWORDS

raster, resample

## SYNOPSIS

r.resample
r.resample help
r.resample [-q] input=string output=string [--overwrite] [--verbose] [--quiet]

### Flags:

-q
  Quiet
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=string
  Name of an input layer
output=string
  Name of an output layer

## DESCRIPTION

r.resample resamples the data values in a user-specified raster input map layer name (bounded by the current geographic region and masked by the current mask), and produces a new raster output map layer name containing the results of the resampling. The category values in the new raster output map layer will be the same as those in the original, except that the resolution and extent of the new raster output map layer will match those of the current geographic region settings (see g.region). r.resample is intended for reinterpolation of continuous data to a different resolution rather than for interpolation from scattered data (use the v.surf.* modules for that purpose).

## NOTES

The method by which resampling is conducted is "nearest neighbor" (see r.neighbors). The resulting raster map layer will have the same resolution as the resolution of the current geographic region (set using g.region).

The resulting raster map layer may be identical to the original raster map layer. The r.resample program will copy the color table and history file associated with the original raster map layer for the resulting raster map layer and will create a modified category file which contains description of only those categories which appear in resampled file.

When the user resamples a GRASS reclass file, a true raster map is created by r.resample.

## SEE ALSO

g.region, r.mapcalc, r.mfilter, r.neighbors, r.rescale

## AUTHOR

Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2008-05-16 21:09:06 +0200 (pá, 16 V 2008) $

Main index - raster index - Full index

© 2003-2014 GRASS Development Team